Foxit PDF SDK

Public Member Functions | List of all members
FSDK.MediaPlayer Class Reference

## Public Member Functions
| constructor (media_player_dict)
| Constructor, with parameters. More...
| GetDict ()
| Get the PDF dictionary of current object. More...
| GetOSIdentifiers ()
| Get the string array that represents operating system identifiers. More...
| GetSoftwareURI ()
| Get software URI that identifies a piece of software. More...
| IsEmpty ()
| Check whether current object is empty or not. More...
| SetOSIdentifiers (identifier_array)
| Set the string array that represents operating system identifiers. More...
| SetSoftwareURI (uri)
| Get software URI that identifies a piece of software. More...

## Detailed Description

Class FSDK.MediaPlayer provides methods to access to information regarding a specific media player.

## Member Function Documentation

## ◆ constructor()

FSDK.MediaPlayer.constructor | ( | media_player_dict |  | ) |

Constructor, with parameters.

Usually, a media player object should be only be added to a rendition object with specified media player type. User is not recommended to add the same media player object to different renditions or different media player types of one rendition; otherwise unexpected issues (such as crash) may occur later. If user does not want to construct another media player and set same values, user can clone the dictionary of original media player object and use the cloned dictionary to construct another media player directly.

Parameters

  [in] | media_player_dict | The PDF dictionary for a media player object. If this is null that means to construct a new media player object. Default value: null.

## ◆ GetDict()

FSDK.MediaPlayer.GetDict | ( |  | ) |

Get the PDF dictionary of current object.

Returns
  PDF dictionary of current object. If there is any error, this function will return null.

## ◆ GetOSIdentifiers()

FSDK.MediaPlayer.GetOSIdentifiers | ( |  | ) |

Get the string array that represents operating system identifiers.

Operating system identifiers in this array indicate which operating systems this object applies to. The defined values are the same as those defined for SMIL 2.0's systemOperatingSystem attribute. There may not be multiple copies of the same identifier in the array.

Returns
  A string array that represents operating system identifiers. An empty array is considered to represent all operating systems.

## ◆ GetSoftwareURI()

FSDK.MediaPlayer.GetSoftwareURI | ( |  | ) |

Get software URI that identifies a piece of software.

For more details, please refer to <PDF reference 1.7> P780 "Software URIs".

Returns
  Software URI.

## ◆ IsEmpty()

FSDK.MediaPlayer.IsEmpty | ( |  | ) |

Check whether current object is empty or not.

When the current object is empty, that means current object is useless.

Returns
  true means current object is empty, while false means not.

## ◆ SetOSIdentifiers()

FSDK.MediaPlayer.SetOSIdentifiers | ( | identifier_array |  | ) |

Set the string array that represents operating system identifiers.

Operating system identifiers in this array indicate which operating systems this object applies to. The defined values are the same as those defined for SMIL 2.0's systemOperatingSystem attribute. There may not be multiple copies of the same identifier in the array.

Parameters

  [in] | identifier_array | A string array that represents operating system identifiers. An empty array is considered to represent all operating systems.

Returns
  None.

## ◆ SetSoftwareURI()

FSDK.MediaPlayer.SetSoftwareURI | ( | uri |  | ) |

Get software URI that identifies a piece of software.

This property is necessary for a media player object. For more details, please refer to <PDF reference 1.7> P780 "Software URIs".

Parameters

  [in] | uri | Software URI. It should not be an empty string.

Returns
  None.